ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

variant.h File Reference

Variant type limit workaround. More...

`#include <ome/common/config.h>`
`#include <boost/mpl/insert_range.hpp>`
`#include <boost/mpl/joint_view.hpp>`
`#include <boost/mpl/transform_view.hpp>`
`#include <boost/mpl/vector.hpp>`
`#include <boost/mpl/vector/vector0.hpp>`
`#include <boost/version.hpp>`
`#include <boost/variant/apply_visitor.hpp>`
`#include <boost/variant/get.hpp>`
`#include <boost/variant/variant.hpp>`
Include dependency graph for variant.h:

Go to the source code of this file.

## Detailed Description

Variant type limit workaround.

This header increases the Boost MPL size limits, if required. Some older versions of Boost.Variant throw runtime exceptions when using Variant and MPL with a number of types over a compile-time limit.